
#-----------------------------UIN Properties--------------------------------------
#length of the uin
mosip.kernel.uin.length=10
#minimum threshold of unused uin
mosip.kernel.uin.min-unused-threshold=100000
#number of uins to generate
mosip.kernel.uin.uins-to-generate=200000
#restricted numbers for uin
mosip.kernel.uin.restricted-numbers=786,666

# Upper bound of number of digits in sequence allowed in id. For example if
# limit is 3, then 12 is allowed but 123 is not allowed in id (in both
# ascending and descending order)
# to disable sequence limit validation assign 0 or negative value
mosip.kernel.uin.length.sequence-limit=3

# Number of digits in repeating block allowed in id. For example if limit is 2,
# then 4xxx4 is allowed but 48xxx48 is not allowed in id (x is any digit)
#to disable validation assign zero or negative value
mosip.kernel.uin.length.repeating-block-limit=2

# Lower bound of number of digits allowed in between two repeating digits in
# id. For example if limit is 2, then 11 and 1x1 is not allowed in id (x is any digit)
# to disable repeating limit validation, assign 0  or negative value
mosip.kernel.uin.length.repeating-limit=2

#reverse group digit limit for uin filter
mosip.kernel.uin.length.reverse-digits-limit=5

#group digit limit for uin filter
mosip.kernel.uin.length.digits-limit=5

#should not start with
mosip.kernel.uin.not-start-with=0,1

#adjacent even digit limit for uin filter
mosip.kernel.uin.length.conjugative-even-digits-limit=3

mosip.kernel.uin.status.unused=UNUSED
mosip.kernel.uin.status.issued=ISSUED
mosip.kernel.uin.status.assigned=ASSIGNED
mosip.kernel.uin.status.unassigned=UNASSIGNED

mosip.kernel.keygenerator.asymmetric-algorithm-name=RSA
mosip.kernel.keygenerator.asymmetric-algorithm-length=2048
mosip.kernel.keygenerator.symmetric-algorithm-name=AES
mosip.kernel.keygenerator.symmetric-algorithm-length=256
mosip.kernel.crypto.symmetric-algorithm-name=AES
mosip.kernel.crypto.asymmetric-algorithm-name=RSA

javax.persistence.jdbc.driver=org.postgresql.Driver
hibernate.dialect=org.hibernate.dialect.PostgreSQL95Dialect
hibernate.jdbc.lob.non_contextual_creation=true
hibernate.hbm2ddl.auto=none
hibernate.show_sql=false
hibernate.format_sql=false
hibernate.connection.charSet=utf8
hibernate.cache.use_second_level_cache=false
hibernate.cache.use_query_cache=false
hibernate.cache.use_structured_entries=false
hibernate.generate_statistics=false
spring.datasource.initialization-mode=always
hibernate.current_session_context_class=org.springframework.orm.hibernate5.SpringSessionContext

mosip.kernel.signature.signature-request-id=SIGNATURE.REQUEST
mosip.kernel.signature.signature-version-id=v1.0
mosip.kernel.signature.cryptomanager-encrypt-url=https://dev.mosip.io/v1/cryptomanager/private/encrypt
mosip.kernel.keymanager-service-publickey-url=https://dev.mosip.io/v1/keymanager/publickey/{applicationId}
auth.server.validate.url=https://dev.mosip.io/v1/authmanager/authorize/validateToken

uin_database_url=jdbc:postgresql://localpostgre:9001/mosip_kernel
uin_database_username=kerneluser
uin_database_password=pwd
